package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;

/**
 * @program: mec
 * @description: 退团
 * @author: xw
 * @create: 2019-09-29 12:52
 */
public class MusicGroupQuit extends Model<MusicGroupQuit> {

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;

    /**
     * 学生id
     */
    @TableField("user_id_")
    private Integer userId;

    /**
     * 乐团编号
     */
    @TableField("music_group_id_")
    private Integer musicGroupId;

    /**
     * 加入时间
     */
    @TableField("join_date_")
    private Date joinDate;

    /**
     * 退出时间
     */
    @TableField("quit_date_")
    private Date quitDate;

    /**
     * 创建时间
     */
    @TableField("create_time_")
    private Date createTime;

    /**
     * 原因
     */
    @TableField("reason_")
    private String reason;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(Integer musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Date getJoinDate() {
        return joinDate;
    }

    public void setJoinDate(Date joinDate) {
        this.joinDate = joinDate;
    }

    public Date getQuitDate() {
        return quitDate;
    }

    public void setQuitDate(Date quitDate) {
        this.quitDate = quitDate;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    @Override
    public String toString() {
        return "MusicGroupQuit{" +
                "id=" + id +
                ", userId=" + userId +
                ", musicGroupId=" + musicGroupId +
                ", joinDate=" + joinDate +
                ", quitDate=" + quitDate +
                ", createTime=" + createTime +
                ", reason='" + reason + '\'' +
                '}';
    }
}
